# Unit



# Unit Page

The Unit page displays a table of all available units.

## How to Use

To view the list of units, scroll down the page. Use the search bar to find a specific unit by entering its code or name.

To delete a unit, select it in the table and click on the delete button located in the action buttons column.

To create a new unit, click on the “Create” button located above the table. Once clicked, it will direct you to the unit creation page.

To edit a unit, click on the specific unit row in the table that you want to edit. Then, click on the “Edit” button located in the action buttons column. Once clicked, it will direct you to the unit editing page.

Page Description:
This page displays data in a structured format with rows and columns. Each column represents a different type of information, and each row represents a unique record or item. 

Using the Table:

1. Sorting Data: To sort data, click on the column header. This will sort the data in ascending order based on that column. Clicking the same header again will sort the data in descending order.

2. Filtering Data: To filter data, enter a keyword or value in the search box located above the table. This will display only the rows that match the keyword/value.

3. Pagination: If the table has more rows than can fit in the visible area, pagination will be available allowing you to navigate between the different pages of data. The number of rows displayed per page can be configured using the dropdown menu.

4. Adding/Editing Data: Depending on your access level, there may be options to add new data to the table or edit existing data. If these options are available, they will be displayed in a toolbar above the table.

5. Exporting Data: You may be able to export the data displayed in the table in a variety of formats such as CSV, PDF or Excel. Look for the export button located above or below the table.

## Unit$T



Page Description:

This page is for displaying information related to unit D-1. The page has a tab panel that contains information specific to that unit.

Instructions:

1. Once the page loads, you will see a tab panel with the label "Unit D-1 Home". Click on this tab panel to view the information related to that unit.
2. The tab panel will display information related to unit D-1.
3. You can use the information on this page to better understand the details and specifics of this unit.

# Layout Tabs

The layout tabs feature allows users to switch between different layouts in the application. This allows for a more customized view of the application that fits the user's preferences and needs.

## Instructions

1. Click on the layout tab located at the top of the application window.
2. Choose the desired layout by clicking on the corresponding tab.
3. The application window will now display the selected layout.
4. To switch to a different layout, simply repeat the process by clicking on the layout tab and selecting a different option.
5. Some layout options may have additional customization features, which can be accessed through the settings menu. Click on the settings icon located near the layout tabs to access these additional options.

## Unit$D$1



### Description

This page allows users to edit and save information about a specific unit. The page contains a form with fields for the unit's code, name, description, status, valid from date, valid until date, and sequence number. Users can also view the unit's ID, which is read-only. The page includes buttons to cancel the editing process or save the changes to the unit.

### Instructions

1. To edit a unit's information, navigate to the unit and click the "Edit" button.
2. On the edit page, fill in or modify the desired fields.
3. If the "Code" or "Name" fields are left blank, an error message will appear prompting the user to fill in those fields.
4. Choose a status for the unit from the dropdown list.
5. Enter a valid from and valid until date for the unit using the calendar feature.
6. Enter a sequence number for the unit, if necessary.
7. To save the changes, click the "Save" button. If the form is invalid, the "Save" button will be disabled.
8. To cancel the editing process without saving, click the "Cancel" button.

## Form Page

The Form page is where users can input their information and submit it to the system. This page is essential for users who want to create accounts, register for events, or fill out surveys.

### Using the Form Page

To use the Form page, follow these steps:

1. **Provide the required Information**: The form will have various fields labeled with instructions on what input is needed. Users should provide the required information in each field. 
2. **Select the options**: If there are multiple options to choose from, users should select the appropriate option from the drop-down menus or checkboxes.
3. **Attach files**: If documents or images are to be uploaded, the user can click on the upload button to attach them to the form.
4. **Verify Input**: The user should double-check the information entered to make sure it is correct and up-to-date.
5. **Submit**: After verifying the information, the user can click on the “Submit” button to send the form to the system. 

If any errors or issues occur while filling out the form, error messages may appear on the page to rectify the mistakes or the user will be informed through email or phone.

